<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.adealink.weparty.commonui.imageview.AvatarView
        android:id="@+id/iv_avatar"
        android:layout_width="40dp"
        android:layout_height="40dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@id/tv_id"
        app:layout_constraintEnd_toStartOf="@id/v_gender"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="UserNameUserName" />

    <com.adealink.weparty.module.profile.widget.GenderView
        android:id="@+id/v_gender"
        style="@style/CommonGenderView"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toStartOf="@id/barrier_right"
        app:layout_constraintStart_toEndOf="@id/tv_name"
        app:layout_constraintTop_toTopOf="@id/tv_name" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_id"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/iv_avatar"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        tools:text="ID 12345678" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_fans"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="7dp"
        android:layout_marginEnd="10dp"
        android:ellipsize="end"
        android:gravity="start|center_vertical"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF86909C"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_id"
        app:layout_constraintEnd_toEndOf="@id/barrier_right"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toEndOf="@id/tv_id"
        app:layout_constraintTop_toTopOf="@id/tv_id"
        tools:text="粉丝数 300" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="btn_follow" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_follow"
        android:layout_width="wrap_content"
        android:layout_height="22dp"
        android:gravity="center"
        android:minWidth="56dp"
        android:paddingHorizontal="4.5dp"
        android:text="@string/common_follow"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:background="@drawable/profile_follow_btn_bg" />

</androidx.constraintlayout.widget.ConstraintLayout>